# IvyArtifactRepositoryMetaDataProvider

interface IvyArtifactRepositoryMetaDataProvider

The meta-data provider for an Ivy repository. Uses the Ivy module descriptor (`ivy.xml`) to determine the meta-data for module versions and artifacts.

## Functions

isDynamicMode
Link copied to clipboard
abstract fun isDynamicMode(): Boolean
Returns true if dynamic resolve mode should be used for Ivy modules.
setDynamicMode
Link copied to clipboard
abstract fun setDynamicMode(mode: Boolean)
Specifies whether dynamic resolve mode should be used for Ivy modules.